package net.yyc.common.core.constant.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * UPMS 状态
 *
 * @author jimmy
 * @version 1.0.0
 * @date 2023-10-16 14:34
 */
@NoArgsConstructor(access = AccessLevel.NONE)
public final class UpmsState {

	@Getter
	@AllArgsConstructor
	public enum QuizState {
		CREATE("CREATE", "未发布"),
		RELEASE("RELEASE", "收集中"),
		STOP("STOP", "停止发布");


		@EnumValue
		private String state;
		private String description;
	}
}
